<?php
/**
 * Created by PhpStorm.
 * User: Pritom
 * Date: 5/16/2024
 * Time: 12:00 AM
 */

if ( ! defined( 'ABSPATH' ) ) exit; // Exit if accessed directly

use Flyerimage\Core\Database\MigrationBase;

return new class extends MigrationBase  {
    public function up() {
        $this->table = \Flyerimage\App\Constants\ITables::$FLYER_MIGRATION;
        $this->columns = [
            "`id` bigint NOT NULL AUTO_INCREMENT",
            "`name` varchar(250) NOT NULL",
            "PRIMARY KEY (`id`)",
        ];
    }

    public function down() {
        $this->table = \Flyerimage\App\Constants\ITables::$FLYER_MIGRATION;
        $this->queries[] = "DROP TABLE IF EXISTS {$this->table_name($this->table)}";
    }
};